﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using System.Windows.Data;
namespace SampleTelerikApplication
{
    public class MainWindowViewModel
    {
        public ICollectionView Customers { get; private set; }
        public ICollectionView GroupedCustomers { get; private set; }

        public MainWindowViewModel()
        {
            var _customers = new List<Customer>
                                 {
                                     new Customer
                                         {
                                             FirstName = "Krishna Reddy",
                                             LastName = "Ramireddigari",
                                             Gender = Gender.Male,
                                             WebSite = new Uri("http://www.wpftutorial.net"),
                                             Email = "Krishna.Ramireddigari@intergraph.com",
                                             ReceiveNewsletter = true,
                                             Image = "Images/Krishna.jpg"
                                         },
                                          new Customer
                                         {
                                             FirstName = "Sarada",
                                             LastName = "Kantheti",
                                             Gender = Gender.Female,
                                             WebSite = new Uri("http://www.wpftutorial.net"),
                                             Email = "Sarada.Kantheti@intergraph.com",
                                             ReceiveNewsletter = true,
                                             Image = "Images/Sarada.jpg"
                                         },
                                          new Customer
                                         {
                                             FirstName = "Ravikiran",
                                             LastName = "Devulapalli",
                                             Gender = Gender.Male,
                                             WebSite = new Uri("http://www.wpftutorial.net"),
                                             Email = "Ravikiran.Devulapalli@intergraph.com",
                                             ReceiveNewsletter = true,
                                             Image = "Images/Devulapalli.jpg"
                                         },
                                     new Customer
                                         {
                                             FirstName = "Vijay",
                                             LastName = "Katla",
                                             Gender = Gender.Male,
                                             WebSite = new Uri("http://www.petermeyer.com"),
                                             Email = "Vijay.Katla@Intergraph.com",
                                             Image = "Images/peter.jpg"
                                         },
                                     new Customer
                                         {
                                             FirstName = "Sirisha",
                                             LastName = "Mamidi",
                                             Gender = Gender.Female,
                                             WebSite = new Uri("http://www.thesimpsons.com"),
                                             Email = "Sirish.Mamidi@Intergraph.com",
                                             Image = "Images/lisa.jpg"
                                         },
                                     new Customer
                                         {
                                             FirstName = "Nagasree",
                                             LastName = "Dharmavaram",
                                             Gender = Gender.Female,
                                             WebSite = new Uri("http://www.bettybossy.ch"),
                                             Email = "Nagasree.Dharmavaram@Intergraph.com",
                                             Image = "Images/betty.jpg"
                                         },
                                      new Customer
                                         {
                                             FirstName = "Sandeep",
                                             LastName = "Bejugam",
                                             Gender = Gender.Male,
                                             WebSite = new Uri("http://www.petermeyer.com"),
                                             Email = "Sandeep.Bejugam@Intergraph.com",
                                             Image = "Images/peter.jpg"
                                         },
                                      new Customer
                                         {
                                             FirstName = "Rajendar",
                                             LastName = "Manda",
                                             Gender = Gender.Male,
                                             WebSite = new Uri("http://www.petermeyer.com"),
                                             Email = "Rajendar.Manda@Intergraph.com",
                                             Image = "Images/peter.jpg"
                                         },
                                      new Customer
                                         {
                                             FirstName = "Abilash",
                                             LastName = "Katkuri",
                                             Gender = Gender.Male,
                                             WebSite = new Uri("http://www.petermeyer.com"),
                                             Email = "abilash.katkuri@Intergraph.com",
                                             Image = "Images/Katkuri.jpg"
                                         },  
                                         new Customer
                                         {
                                             FirstName = "Bhagavan",
                                             LastName = "Medisetti",
                                             Gender = Gender.Male,
                                             WebSite = new Uri("http://www.petermeyer.com"),
                                             Email = "Bhagavan.Medisetti@intergraph.com",
                                             Image = "Images/Bhagavan.jpg"
                                         }  
                                 };

            Customers = CollectionViewSource.GetDefaultView(_customers);

            GroupedCustomers = new ListCollectionView(_customers);
            GroupedCustomers.GroupDescriptions.Add(new PropertyGroupDescription("Gender"));


        }
    }
}
