﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using System.ComponentModel;
using SampleTelerikApplication;

namespace SampleTelerikApplication
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        myEmployees emp = new myEmployees();

        Point initial;
        bool IsMouseDown;
        public MainWindow()
        {
            InitializeComponent();
            List<DateInfo> UserInfo = new List<DateInfo>
            {
                new DateInfo{ User = "Nagasree" , myDate="06-03-2014"},
              
            };
            //SampleGrid.ItemsSource = UserInfo;
            DataContext = new MainWindowViewModel();
        }
        private void Button_Click(object sender, RoutedEventArgs e)
        {
            //this.Title = "Clicked";
            MessageBox.Show("Clicked");
        }
        private void middleButton_MouseDown(object sender, MouseButtonEventArgs e)
        {
            if (e.ChangedButton == MouseButton.Middle && e.ButtonState == MouseButtonState.Pressed)
            {
               //ValidationTextBox.Text = "Middle button clicked";                
            }
        }

        private void Grid_MouseDown(object sender, MouseButtonEventArgs e)
        {
            
        }
        private void RadTileViewItem_PreviewTileStateChanged(object sender, Telerik.Windows.Controls.PreviewTileStateChangedEventArgs e)
        {
            Telerik.Windows.Controls.RadTileViewItem tile = e.OriginalSource as Telerik.Windows.Controls.RadTileViewItem;
            if (tile.TileState == Telerik.Windows.Controls.TileViewItemState.Maximized)
                e.Handled = true;
        }
        private void Grid_MouseWheel(object sender, MouseWheelEventArgs e)
        {
           //ValidationTextBox.SetValue = "Middle button clicked";     
        }

        private void scrollViewer1_MouseWheel(object sender, MouseWheelEventArgs e)
        {
            //ValidationTextBox.Text = "Middle button clicked";            
        }
              

        private void CustomList2_ScrollChanged(object sender, ScrollChangedEventArgs e)
        {
            //if (e.VerticalChange != 0)
                //ValidationTextBox.Text = "Middle Scroll clicked" + e.VerticalChange;
        }

        private void label1_MouseDown(object sender, MouseButtonEventArgs e)
        {
            if ((e.ChangedButton == MouseButton.Middle) && e.ButtonState == MouseButtonState.Pressed)
            {
                IsMouseDown = true;
                initial = Mouse.GetPosition(this);
            }
           
        }

        private void label1_MouseUp(object sender, MouseButtonEventArgs e)
        {
            if (e.ChangedButton == MouseButton.Middle && e.ButtonState == MouseButtonState.Released)
            {
                if (!IsMouseDown) return;
                if (!e.GetPosition(this).Equals(initial))
                {
                   // ValidationTextBox.Text = "Middle button Drag and Drop done.";
                    IsMouseDown = false;
                }
            }
        }

    }

    public class EmployeeInfo
    {
        private string _empName;
        private string _id;
        private string _division;
        private string _location;
        private string _project;

        public string Project
        {
            get { return _project; }
            set { _project = value; }
        }

        public string Location
        {
            get { return _location; }
            set { _location = value; }
        }

        public string Division
        {
            get { return _division; }
            set { _division = value; }
        }

        public string Id
        {
            get { return _id; }
            set { _id = value; }
        }

        public string EmpName
        {
            get { return _empName; }
            set { _empName = value; }
        }


        public EmployeeInfo(string empName, string id, string division, string location, string project)
        {
            _empName = empName;
            _id = id;
            _division = division;
            _project = project;
            _location = location;
        }

        public override string ToString()
        {
            return _empName + _id + _division + _project + _location;
        }
    }
    public class myEmployees :
            ObservableCollection<EmployeeInfo>
    {
        public myEmployees()
        {
            Add(new EmployeeInfo("Christian", "013811", "PPM", "HSV", "GUI-ATPs"));
            Add(new EmployeeInfo("Srinivas", "1367", "PPM", "Hyderabad", "GUI-ATPs"));
            Add(new EmployeeInfo("Ragu", "556", "PPM", "Hyderabad", "GUI-ATPs"));
            Add(new EmployeeInfo("Rajesh", "1115", "PPM", "Hyderabad", "GUI-ATPs"));
            Add(new EmployeeInfo("Sandeep", "930", "PPM", "Hyderabad", "GUI-ATPs"));
            Add(new EmployeeInfo("Vijay", "938", "PPM", "Hyderabad", "GUI-ATPs"));
            Add(new EmployeeInfo("Sirisha", "1158", "PPM", "Hyderabad", "GUI-ATPs"));
            Add(new EmployeeInfo("Rajendar", "1584", "PPM", "Hyderabad", "GUI-ATPs"));
        }
    }
    public  class DateInfo :INotifyPropertyChanged
    {
        public string User { get; set; }
        private string _myDate;

        public string myDate
        {
            get { return _myDate; }
            set
            {
                _myDate = value;
                RaiseNotification("myDate");
            }
        }

        void RaiseNotification(string propertyName)
        {
            if (PropertyChanged != null)
            {
                //Fire this event
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }
        public override string ToString()
        {
            return this.User;
        }
	
public event PropertyChangedEventHandler  PropertyChanged;
}
	
}
